aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2015-01-15 14:52:58 +0100
committerMarius Brehler <marbre@linux.sungazer.de>2015-01-15 14:52:58 +0100
commit74b43e45e1626f29a2c4fb4dafccab56147077f8 (patch)
tree820f42227d85724ca1123a3fa72113de23f3f554 /media-gfx/librecad/librecad-1.0.3.ebuild
parentMerge remote-tracking branch 'github/master' (diff)
downloadsci-74b43e45e1626f29a2c4fb4dafccab56147077f8.tar.gz
sci-74b43e45e1626f29a2c4fb4dafccab56147077f8.tar.bz2
sci-74b43e45e1626f29a2c4fb4dafccab56147077f8.zip
media-gfx/librecad-1.0.*: Move to EAPI=5
Diffstat (limited to 'media-gfx/librecad/librecad-1.0.3.ebuild')
-rw-r--r--media-gfx/librecad/librecad-1.0.3.ebuild13
1 files changed, 6 insertions, 7 deletions
diff --git a/media-gfx/librecad/librecad-1.0.3.ebuild b/media-gfx/librecad/librecad-1.0.3.ebuild
index 8a04ca196..fc579a387 100644
--- a/media-gfx/librecad/librecad-1.0.3.ebuild
+++ b/media-gfx/librecad/librecad-1.0.3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI=5
inherit qt4-r2 eutils
@@ -19,8 +19,7 @@ RDEPEND="
dev-qt/qtgui[qt3support]
dev-qt/qthelp:4
dev-qt/qt3support:4
- dev-cpp/muParser
- "
+ dev-cpp/muParser"
DEPEND="${RDEPEND}"
@@ -30,13 +29,13 @@ src_unpack() {
}
src_prepare() {
-sed -i -e "s:\\\$\+system(git describe --tags):1.0.3:" "${PN}.pro"
+ sed -i -e "s:\\\$\+system(git describe --tags):1.0.3:" "${PN}.pro" || die
}
src_install() {
- dobin unix/librecad || die
+ dobin unix/librecad
insinto /usr/share/"${PN}"
- doins -r unix/resources/* || die
+ doins -r unix/resources/*
if use doc ; then
dohtml -r support/doc/*
fi